Merge a failure group into another
curl --request POST \
--url https://api.empirical.run/api/failure-groups/{id}/merge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"into_group_id": "<string>"
}
'import requests
url = "https://api.empirical.run/api/failure-groups/{id}/merge"
payload = { "into_group_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({into_group_id: '<string>'})
};
fetch('https://api.empirical.run/api/failure-groups/{id}/merge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"failure_group": {
"id": "<string>",
"project_id": 123,
"label": "<string>",
"diagnosis": "<string>",
"recommendation": "<string>",
"fingerprint": {
"signals": [
{
"kind": "<string>",
"value": "<string>",
"weight": 123,
"data": {}
}
]
},
"matcher": {
"source": "<string>",
"description": "<string>",
"contract_version": 1
},
"resolved_at": "<string>",
"first_seen_at": "<string>",
"last_seen_at": "<string>",
"last_test_run_id": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
}
}{
"data": "<unknown>",
"error": {
"message": "<string>"
}
}{
"data": "<unknown>",
"error": {
"message": "<string>"
}
}Failure Groups
Merge a failure group into another
Moves this group’s members into the target, unions fingerprints, and deletes this group. Returns the target.
POST
/
api
/
failure-groups
/
{id}
/
merge
Merge a failure group into another
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Failure group ID.
Minimum string length:
1Body
application/json
Target group id; this group merges into it.
Minimum string length:
1Response
The target failure group.
Response payload.
Show child attributes
Show child attributes
Was this page helpful?
⌘I